package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Refferere_reportRepository;
import com.realnet.vpspack.Entity.Refferere_report
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class Refferere_reportService {
@Autowired
private Refferere_reportRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Refferere_report Savedata(Refferere_report data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Refferere_report save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Refferere_report> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Refferere_report> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Refferere_report> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Refferere_report getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Refferere_report update(Refferere_report data,Integer id) {
	Refferere_report old = Repository.findById(id).get();
old.setEntry_date_from(data.getEntry_date_from());

old.setEntry_date_to(data.getEntry_date_to());

old.setRefferere_report_line(data.getRefferere_report_line());

final Refferere_report test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
